package com.unis.mobileInfo.modular.qcqualityinspection.enums;

public enum GradeEnum {

    FIRST("一等", "1"),
    TWO("二等", "2"),
    THREE("三等", "3"),
    FOUR("四等", "4"),
    FIVE("五等", "5"),
    ENDURES("等外", "6");


    GradeEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    private String key;
    private String value;


    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }


    //获取对应值
    public static String getIntValue(String key) {
        GradeEnum[] values = GradeEnum.values();
        for (GradeEnum value : values) {
            if (value.getKey().equals(key)) {
                return value.getValue();
            }
        }
        return null;
    }
}